Create Prediction
curl --request POST \
--url https://api.timesdb.in/predictions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ai_model_id": "<string>",
"series_id": "<string>",
"series": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123,
"metadata": {}
}
],
"is_async": false,
"fine_tuning_epochs": 123
}
'import requests
url = "https://api.timesdb.in/predictions"
payload = {
"ai_model_id": "<string>",
"series_id": "<string>",
"series": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123,
"metadata": {}
}
],
"is_async": False,
"fine_tuning_epochs": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ai_model_id: '<string>',
series_id: '<string>',
series: [{timestamp: '2023-11-07T05:31:56Z', value: 123, metadata: {}}],
is_async: false,
fine_tuning_epochs: 123
})
};
fetch('https://api.timesdb.in/predictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.timesdb.in/predictions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ai_model_id' => '<string>',
'series_id' => '<string>',
'series' => [
[
'timestamp' => '2023-11-07T05:31:56Z',
'value' => 123,
'metadata' => [
]
]
],
'is_async' => false,
'fine_tuning_epochs' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.timesdb.in/predictions"
payload := strings.NewReader("{\n \"ai_model_id\": \"<string>\",\n \"series_id\": \"<string>\",\n \"series\": [\n {\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"value\": 123,\n \"metadata\": {}\n }\n ],\n \"is_async\": false,\n \"fine_tuning_epochs\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.timesdb.in/predictions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ai_model_id\": \"<string>\",\n \"series_id\": \"<string>\",\n \"series\": [\n {\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"value\": 123,\n \"metadata\": {}\n }\n ],\n \"is_async\": false,\n \"fine_tuning_epochs\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.timesdb.in/predictions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ai_model_id\": \"<string>\",\n \"series_id\": \"<string>\",\n \"series\": [\n {\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"value\": 123,\n \"metadata\": {}\n }\n ],\n \"is_async\": false,\n \"fine_tuning_epochs\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"ai_model_id": "<string>",
"status": "QUEUED",
"input_series": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123,
"metadata": {}
}
],
"prediction_series": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123,
"metadata": {}
}
],
"input_series_id": "<string>",
"prediction_series_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Predictions
Make a prediction
POST
/
predictions
Create Prediction
curl --request POST \
--url https://api.timesdb.in/predictions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ai_model_id": "<string>",
"series_id": "<string>",
"series": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123,
"metadata": {}
}
],
"is_async": false,
"fine_tuning_epochs": 123
}
'import requests
url = "https://api.timesdb.in/predictions"
payload = {
"ai_model_id": "<string>",
"series_id": "<string>",
"series": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123,
"metadata": {}
}
],
"is_async": False,
"fine_tuning_epochs": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ai_model_id: '<string>',
series_id: '<string>',
series: [{timestamp: '2023-11-07T05:31:56Z', value: 123, metadata: {}}],
is_async: false,
fine_tuning_epochs: 123
})
};
fetch('https://api.timesdb.in/predictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.timesdb.in/predictions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ai_model_id' => '<string>',
'series_id' => '<string>',
'series' => [
[
'timestamp' => '2023-11-07T05:31:56Z',
'value' => 123,
'metadata' => [
]
]
],
'is_async' => false,
'fine_tuning_epochs' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.timesdb.in/predictions"
payload := strings.NewReader("{\n \"ai_model_id\": \"<string>\",\n \"series_id\": \"<string>\",\n \"series\": [\n {\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"value\": 123,\n \"metadata\": {}\n }\n ],\n \"is_async\": false,\n \"fine_tuning_epochs\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.timesdb.in/predictions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ai_model_id\": \"<string>\",\n \"series_id\": \"<string>\",\n \"series\": [\n {\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"value\": 123,\n \"metadata\": {}\n }\n ],\n \"is_async\": false,\n \"fine_tuning_epochs\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.timesdb.in/predictions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ai_model_id\": \"<string>\",\n \"series_id\": \"<string>\",\n \"series\": [\n {\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"value\": 123,\n \"metadata\": {}\n }\n ],\n \"is_async\": false,\n \"fine_tuning_epochs\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"ai_model_id": "<string>",
"status": "QUEUED",
"input_series": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123,
"metadata": {}
}
],
"prediction_series": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123,
"metadata": {}
}
],
"input_series_id": "<string>",
"prediction_series_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
HTTPBearerAPIKeyHeader
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
Available options:
QUEUED, IN_PROGRESS, COMPLETED, FAILED Show child attributes
Show child attributes
Show child attributes
Show child attributes